librevenge::DrawingSVG::Table Struct Reference documentation

librevenge::DrawingSVG::Table Struct Reference

basic class used to store table information More...

## Public Member Functions
| Table (const RVNGPropertyList &propList)
| constructor
void | openRow (const RVNGPropertyList &propList)
| calls to open a row
void | closeRow ()
| call to close a row
bool | getPosition (int column, int row, double &x, double &y) const
| returns the position of a cellule

## Public Attributes
int | m_column
| the actual column
int | m_row
| the actual row
double | m_x
| the origin table position in inches
double | m_y
std::vector< double > | m_columnsDistanceFromOrigin
| the distance of each begin column in inches from origin
std::vector< double > | m_rowsDistanceFromOrigin
| the distance of each begin row in inches from origin

## Detailed Description

basic class used to store table information

## Constructor & Destructor Documentation

## ◆ Table()

librevenge::DrawingSVG::Table::Table | ( | const RVNGPropertyList & | propList | ) |
| inline

constructor

## Member Function Documentation

## ◆ closeRow()

void librevenge::DrawingSVG::Table::closeRow | ( |  | ) |
| inline

call to close a row

## ◆ getPosition()

bool librevenge::DrawingSVG::Table::getPosition | ( | int | column,
|  | int | row,
|  | double & | x,
|  | double & | y ) const
| inline

returns the position of a cellule

## ◆ openRow()

void librevenge::DrawingSVG::Table::openRow | ( | const RVNGPropertyList & | propList | ) |
| inline

calls to open a row

## Member Data Documentation

## ◆ m_column

int librevenge::DrawingSVG::Table::m_column

the actual column

Referenced by Table().

## ◆ m_columnsDistanceFromOrigin

std::vector<double> librevenge::DrawingSVG::Table::m_columnsDistanceFromOrigin

the distance of each begin column in inches from origin

Referenced by getPosition(), and Table().

## ◆ m_row

int librevenge::DrawingSVG::Table::m_row

the actual row

Referenced by closeRow(), and Table().

## ◆ m_rowsDistanceFromOrigin

std::vector<double> librevenge::DrawingSVG::Table::m_rowsDistanceFromOrigin

the distance of each begin row in inches from origin

Referenced by getPosition(), openRow(), and Table().

## ◆ m_x

double librevenge::DrawingSVG::Table::m_x

the origin table position in inches

Referenced by getPosition(), and Table().

## ◆ m_y

double librevenge::DrawingSVG::Table::m_y

Referenced by getPosition(), and Table().

The documentation for this struct was generated from the following file:

- RVNGSVGDrawingGenerator.cpp